SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
DROP TABLE IF EXISTS `ciku`;
CREATE TABLE IF NOT EXISTS `ciku` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `kind` varchar(100) NOT NULL,
  `wen` varchar(1000) NOT NULL,
  `da` varchar(1000) NOT NULL,
  PRIMARY KEY (`id`),
  FULLTEXT KEY `wen` (`wen`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
DROP TABLE IF EXISTS `kl_ads`;
CREATE TABLE IF NOT EXISTS `kl_ads` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `adid` int(11) NOT NULL,
  `uid` int(11) NOT NULL,
  `ip` varchar(20) NOT NULL,
  `day` int(8) NOT NULL,
  `addtime` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
DROP TABLE IF EXISTS `kl_chats`;
CREATE TABLE IF NOT EXISTS `kl_chats` (
  `chatid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) DEFAULT NULL,
  `message` varchar(20000) DEFAULT NULL,
  `addtime` int(10) DEFAULT NULL,
  PRIMARY KEY (`chatid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
DROP TABLE IF EXISTS `kl_kfjds`;
CREATE TABLE IF NOT EXISTS `kl_kfjds` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `content` varchar(5000) DEFAULT NULL,
  `addtime` int(10) unsigned zerofill DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
DROP TABLE IF EXISTS `kl_logs`;
CREATE TABLE IF NOT EXISTS `kl_logs` (
  `logid` int(11) NOT NULL AUTO_INCREMENT,
  `do` tinyint(1) unsigned zerofill DEFAULT '0',
  `qq` int(11) NOT NULL,
  `msg` varchar(1000) DEFAULT NULL,
  `error` varchar(1000) DEFAULT NULL,
  `addtime` int(10) unsigned zerofill DEFAULT NULL,
  PRIMARY KEY (`logid`,`qq`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
DROP TABLE IF EXISTS `kl_messages`;
CREATE TABLE IF NOT EXISTS `kl_messages` (
  `mgid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `fromid` int(11) NOT NULL,
  `isread` tinyint(1) DEFAULT '0',
  `message` varchar(15000) DEFAULT NULL,
  `addtime` int(10) DEFAULT NULL,
  PRIMARY KEY (`mgid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
DROP TABLE IF EXISTS `kl_qds`;
CREATE TABLE IF NOT EXISTS `kl_qds` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `day` int(8) DEFAULT NULL,
  `qdtime` int(10) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
DROP TABLE IF EXISTS `kl_qqs`;
CREATE TABLE IF NOT EXISTS `kl_qqs` (
  `qid` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) DEFAULT NULL,
  `qq` int(11) NOT NULL,
  `pwd` varchar(255) NOT NULL,
  `sid` varchar(25) NOT NULL,
  `iszan` int(1) NOT NULL DEFAULT '0',
  `isshuo` int(1) NOT NULL DEFAULT '0',
  `zantype` int(1) NOT NULL DEFAULT '0',
  `type` tinyint(1) NOT NULL DEFAULT '0',
  `day` int(8) unsigned zerofill NOT NULL DEFAULT '00000000',
  `zanday` int(8) unsigned zerofill NOT NULL DEFAULT '00000000',
  `zanrate` int(2) NOT NULL DEFAULT '1',
  `shuotype` int(2) NOT NULL DEFAULT '0',
  `shuoday` int(8) unsigned zerofill NOT NULL DEFAULT '00000000',
  `shuorate` int(2) NOT NULL DEFAULT '30',
  `zt` tinyint(1) unsigned zerofill DEFAULT NULL,
  `sidzt` tinyint(1) NOT NULL DEFAULT '0',
  `relogin` tinyint(1) unsigned zerofill DEFAULT NULL,
  `isxz` tinyint(1) NOT NULL DEFAULT '1',
  `sjstyle` tinyint(1) unsigned zerofill DEFAULT NULL,
  `start` tinyint(2) unsigned zerofill DEFAULT NULL,
  `end` tinyint(2) unsigned zerofill DEFAULT NULL,
  `reply` varchar(5000) DEFAULT NULL,
  `ismg` tinyint(1) unsigned zerofill DEFAULT NULL,
  `isbcmg` tinyint(1) unsigned zerofill DEFAULT NULL,
  `isreply` tinyint(1) unsigned zerofill DEFAULT NULL,
  `damalock` tinyint(1) unsigned zerofill DEFAULT NULL,
  `damatime` int(10) unsigned zerofill DEFAULT NULL,
  `addtime` int(10) unsigned zerofill DEFAULT NULL,
  `lasttime` int(10) unsigned zerofill DEFAULT NULL,
  `nexttime` int(10) unsigned zerofill DEFAULT NULL,
  `lastweb` int(10) NOT NULL DEFAULT '0',
  `nextweb` int(10) NOT NULL DEFAULT '0',
  `lastzan` int(10) NOT NULL DEFAULT '0',
  `nextzan` int(10) NOT NULL DEFAULT '0',
  `lastshuo` int(10) NOT NULL DEFAULT '0',
  `nextshuo` int(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`qid`,`qq`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
DROP TABLE IF EXISTS `kl_users`;
CREATE TABLE IF NOT EXISTS `kl_users` (
  `uid` int(11) NOT NULL AUTO_INCREMENT,
  `sid` varchar(255) NOT NULL DEFAULT '',
  `user` varchar(255) NOT NULL,
  `pwd` varchar(255) NOT NULL,
  `day` int(8) unsigned zerofill NOT NULL DEFAULT '00000000',
  `qd` tinyint(3) NOT NULL DEFAULT '0',
  `coin` int(11) DEFAULT '100',
  `phone` varchar(11) NOT NULL,
  `mail` varchar(255) DEFAULT NULL,
  `qq` varchar(12) DEFAULT NULL,
  `tx` varchar(510) DEFAULT NULL,
  `qx` tinyint(2) unsigned zerofill DEFAULT NULL,
  `zt` tinyint(1) unsigned zerofill DEFAULT NULL,
  `regtime` int(10) unsigned zerofill DEFAULT NULL,
  `regip` varchar(255) DEFAULT NULL,
  `lasttime` int(10) unsigned zerofill DEFAULT NULL,
  `lastip` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`uid`,`sid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;
DROP TABLE IF EXISTS `kl_webqqs`;
CREATE TABLE IF NOT EXISTS `kl_webqqs` (
  `webid` int(11) NOT NULL AUTO_INCREMENT,
  `qq` int(11) NOT NULL,
  `zt` tinyint(1) unsigned zerofill DEFAULT NULL,
  `cookie` varchar(10000) DEFAULT NULL,
  `ptwebqq` varchar(510) DEFAULT NULL,
  `vfwebqq` varchar(510) NOT NULL,
  `psessionid` varchar(510) DEFAULT NULL,
  `clientid` int(11) DEFAULT NULL,
  PRIMARY KEY (`webid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;
DROP TABLE IF EXISTS `kl_xxs`;
CREATE TABLE IF NOT EXISTS `kl_xxs` (
  `xxid` int(11) NOT NULL AUTO_INCREMENT,
  `do` tinyint(1) unsigned zerofill DEFAULT '0',
  `qq` int(11) DEFAULT NULL,
  `un` int(11) DEFAULT NULL,
  `nike` varchar(255) DEFAULT NULL,
  `mg` varchar(5000) DEFAULT NULL,
  `isreply` int(2) DEFAULT NULL,
  `addtime` int(10) DEFAULT NULL,
  `replytime` int(10) DEFAULT NULL,
  PRIMARY KEY (`xxid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;